MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable Base class for dispatch objects.

Dispatch objects share functions for coordinating memory management, suspension, cancellation and con- text pointers. While all dispatch objects are retainable, not all objects support suspension, context pointers or finalizers (currently only queues and sources support these additional interfaces).

The invocation of blocks on dispatch queues or dispatch sources may be suspended or resumed with the methods and respectively. The dispatch framework always checks the suspension status before executing a block, but such changes never affect a block during execution (non-preemptive). Therefore the suspension of an object is asynchronous, unless it is performed from the context of the target queue for the given object. The result of suspending or resuming an object that is not a dispatch queue or a dispatch source is undefined.

Important: suspension applies to all aspects of the dispatch object life cycle, including the finalizer function and cancellation handler. Therefore it is important to balance calls to and such that the dispatch object is fully resumed when the last reference is released. The result of releasing all references to a dispatch object while in a suspended state is undefined.

Dispatch queues and sources support supplemental context pointers. The value of the context point may be retrieved and updated with the property.

The result of getting or setting the context of an object that is not a dispatch queue or a dispatch source is undefined.

- Property
  0.0.0.0
  System.IntPtr User-defined Context information to attach to a DispatchObject. You can use the Context property on a DispatchObject to store state that your application might want to associate with it.
- Method
  0.0.0.0
  System.Void Releases the resources used by the DispatchObject object.

  The Dispose method releases the resources used by the DispatchObject class.

  Calling the Dispose method when you are finished using the DispatchObject ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the DispatchObject object.

  This Dispose method releases the resources used by the DispatchObject class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the DispatchObject ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Finalizer for the DispatchObject object
- Method
  0.0.0.0
  System.Int32 Returns the hashcode for this object To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Resumes execution of the queue To be added.
- Method
  0.0.0.0
  System.Void Suspends the execution of the queue. To be added.